# -*- coding: iso-8859-15 -*-
#
# AD ANNOUNCER
#
#
# ******************************************
#    DO NOT MAKE ANY CHANGES TO THIS FILE
# ******************************************
#


import host, bf2, sys, default, new, string, re, time
import ad_framework_settings as adfs
import ad_framework as adf


# Initialise the module
def init():
	adf.Debug("Initializing AD Announcer")

	if adfs.ann_enabled == True and adfs.usePunkbuster == True:
		# Enable join messages
		if adfs.ann_joinMessageEnabled == True:
			host.registerHandler('PlayerSpawn', onPlayerSpawn)

		# Enable disconnect messages
		if adfs.ann_disconnectMessageEnabled == True:
			host.registerHandler('PlayerDisconnect', onPlayerDisconnect)

		# Enable timed messages
		if adfs.ann_timedMessagesEnabled == True:
			for ann in adfs.ann_timedMessages:
				ann = ann.split(":", 2)
				adf.Debug("Adding announcement: " + ann[2])
				host.rcon_invoke("pb_sv_task %s %s game.sayAll \"%s\"" % (ann[0], ann[1], ann[2]))
			adf.Debug("Announcements added")


# When a player spawns for the first time, send him a welcoming message
def onPlayerSpawn(p, vehicle):
	# Try if p.welcomeMsg is set, if not, set it
	try:
		if p.welcomeMsg == "":
			pass
	except:
		p.welcomeMsg = False
		adf.Debug("Player welcomemessage variable not set, setting it now")

	# Send a welcoming message if he never got one, and if this message is enabled
	if adfs.ann_enabled == True and adfs.ann_joinMessageEnabled == True and p.welcomeMsg == False:
		msg = adfs.ann_joinMessage.replace("[playername]", p.getName())
		adf.PersonalMessage(msg, p)
		p.welcomeMsg = True


# When a player disconnects, leave a message saying he did so
def onPlayerDisconnect(p):
	if adfs.ann_enabled == True and adfs.ann_disconnectMessageEnabled == True:
		msg = adfs.ann_disconnectMessage.replace("[playername]", p.getName())
		host.rcon_invoke('game.sayall "%s"' % msg)

