# -*- coding: iso-8859-15 -*-
#
# AD FRAMEWORK
#
#
# ******************************************
#    DO NOT MAKE ANY CHANGES TO THIS FILE
# ******************************************
#


import os, sys, default, new, string, re, time, host, bf2, bf2.Timer
import ad_framework_settings as adfs


# Init
def init():
	Debug("Initializing AD Framework")
	
	# This activates the displaying of the sponsor message, if it is enabled
	if adfs.sponsorMessageEnabled == True and adfs.usePunkbuster == True:
		host.rcon_invoke("pb_sv_task 0 %s game.sayAll \"%s\"" % (adfs.sponsorMessageInterval, adfs.sponsorMessage))


# =========================================================================================================================================
# COMMON FUNCTIONS


# Find a player by giving a part of the name, returns the player object
def FindPlayer(playerName):
	matches = 0
	p_good = ""

	try:
		for p in bf2.playerManager.getPlayers():
			if p.getName().lower().find(playerName.lower()) != -1:
				p_good = p
				matches += 1
				if matches > 1:
					return "more"

		if matches == 0:
			return "none"
		else:
			return p_good
	except:
		Debug("Exception in FindPlayer()")
		return "none"


# Get the cd key hash of a player
def GetPlayerHash(playerName):
	try:
		Debug("Entered GetPlayerHash")
		playerData = host.rcon_invoke("admin.listplayers").strip().split("\n")

		i = 0
		while i < len(playerData):
			name = playerData[i].split(" - ")
			name = name[1].split(" is ")

			# Playername found yes/no
			if name[0] == playerName:
				Debug("Playerhash and playername found")

				# Now search for the hash
				hash = playerData[i+1].split("hash: ")
				return hash[1].strip()

			# I'm adding two, because player data consists of two lines
			i += 2

		# If you get here, the hash wasn't found
		Debug("No player hash found?")
		return False
	except:
		Debug("Exception in GetPlayerHash")
		return False


# This function sends a personal message to a user
def PersonalMessage(msg, p):
	try:
		# If we're running a dedicated server, send a personal message, otherwise send a global message
		if int(host.rcon_invoke("sv.internet").strip()) == 1:
			# Send the personal message
			host.sgl_sendTextMessage(p.index, 14, 1, msg, 0 )
		else:
			host.rcon_invoke('game.sayall "%s"' % msg)
	except:
		Debug("Exception in PersonalMessage()")


# Debug function
def Debug(msg):
	if adfs.debugging == True:
		host.rcon_invoke('echo "DEBUG: %s"' % msg)
		host.rcon_invoke('game.sayall "DEBUG: %s"' % msg)
		print msg
