# -*- coding: iso-8859-15 -*-
#
# SETTINGSFILE FOR THE AD FRAMEWORK
#


# =========================================================================================================================================
# GLOBAL SETTINGS

debugging = False														# If true, debugging is on and debug info will be printed on screen
usePunkbuster = True													# Use Punkbuster for kicks/bans or not
sponsorMessageEnabled = True											# Display "message of apprecation"
sponsorMessage = "C1001***C1001 This server is powered by the C1001AD Framework ***C1001"
sponsorMessageInterval = 450											# The "sponsormessage" will be displayed every [interval] seconds
version = "1.3"															# This is the versionnumber of the AD Framework. Don't change it, that's lame.


# =========================================================================================================================================
# AD SMARTBALANCE SETTINGS

smb_enabled = True														# Enable/disable smartbalancing
smb_difference = 2														# Perform smart balance when the difference of the teams is x or more
smb_excludeList = [														# A list of (partial) playernames and/or (clan)tags that get excluded from smart balancing.
	"ExampleName",
	"=exampletag=",
	]
smb_swapTeamsOnStart = True												# If set to True, it will teamswap everyone on round startup. Some people don't (or can't) have modmanager to do this for them.


# =========================================================================================================================================
# AD LOGS SETTINGS

log_enabled = True														# Enable/disable logging


# =========================================================================================================================================
# AD ANNOUNCER SETTINGS

# Tip: text preceded by C1001 will make it orange. 3 makes it big. C10013 makes it orange and big
ann_enabled = True														# Enable/disable announcer
ann_joinMessageEnabled = True											# Enable/disable dislpaying a message when a player joins the server (spawns for the first time)
ann_joinMessage = "C1001Welcome, [playername]!"						# Message to send to the player (this is a PM). If you want the message to contain a name, make sure to insert [playername] somewhere
ann_disconnectMessageEnabled = True										# If True, a message is displayed when a player disconnects from the server.
ann_disconnectMessage = "[playername] has left the battlefield"			# This message is displayed when a player disconnects from the server.
ann_timedMessagesEnabled = True											# Enable/disable displaying timed messages
ann_timedMessages = [													# Timed servermessages. Usage: [start after x seconds]:[repeat every x seconds]:[message]. Note: punkbuster must be enabled to use this feature!
	"10:300:Work together and play fair",
	"30:600:Join us on Mumble!",
]


# =========================================================================================================================================
# AD ADMIN SETTINGS

adm_enabled = True														# Enable/disable admincommands
adm_logging = True														# If true, the script writes all succesful admincommands to a logfile
adm_kickTime = 1														# Time in minutes a player is kicked
adm_banTime = 180														# Time in minutes a player is temp banned (if you use the temp-ban command, normal ban is forever!). Note: if the server is restarted, the ban is lifted
adm_commandSymbol = "!"													# Admincommand symbol
adm_maxAltitude = 1000													# Define the maximum altitude (used in the fly-command)
adm_pbSsWidth = "640"													# Width of screenshots taken by punkbuster
adm_pbSsHeight = "480"													# Height of screenshots taken by punkbuster
adm_adminHashes = {														# Array in which the names of the administrators will be saved. Make sure there are NO duplicates!
	"ENTER__ADMIN__HASHES__HERE":		0,								# Place the name of the admin here
}
adm_adminPowerLevels = {												# Rights management. The lower the powerlevel, the more power one has. Two powerlevels are defined by default, but you can define as many as you want.
																		# 0: Superadmin, can do everything. 1: Moderator, can't do everything. 777: used for commands that everyone can use
	# Map control
	"change":		1,													# Change to a next map and run it
	"reload":		1,													# Reload the current map
	"remove":		1,													# Remove a map from the maplist
	"restart":		1,													# Restart the round
	"runnext":		1,													# Run the next map
	"save":			0,													# Save the maplist
	"setnext":		1,													# Set a next map

	# Player control
	"b":			0,													# Ban a player
	"ban":			0,													# Ban a player (same as !b)
	"fly":			0,													# Send a player up in the air
	"hash":			0,													# Retrieves the hash of certain player
	"k":			0,													# Kick a player
	"kick":			0,													# Kick a player (same as !k)
	"kill":			0,													# Kill a player
	"resign":		1,													# Resign a player from being squad leader or commander
	"ss":			1,													# Take a screenshot of a player (through punkbuster)
	"switch":		1,													# Teamswitch a player
	"tb":			1,													# Temporary ban a player (basically extended 'kick')
	#"ub":			0,													# Unban a player                  NOT WORKING
	#"unban":		0,													# Unban a player (same as !ub)    NOT WORKING
	"w":			1,													# Warn a player
	"warn":			1,													# Warn a player (same as !w)

	# Text messages
	"help":			1,													# Show help about commands
	"s":			1,													# Send a message to everybody
	"say":			1,													# Send a message to everybody
	"st":			1,													# Same as !s, but for one team only
	"sayteam":		1,													# Same as !s, but for one team only

	# Server- and Pythoncommands
	"ab":			1,													# Enable/disable smart balancing (ab = autobalance, people call it that)
	"debug":		1,													# Enable/disable debug
	"init":			0,													# Reload some settings
	"swapteams":	1,													# Swap the teams
	"stopserver":	0,													# Stops the server
	"vote":			0,													# Enable/disable voting

	# Open commands														# Please note that 777 is a fixed value for "open" commands! This means everybody on the server can use them
	"admins":		777,												# Returns a list of online admins
	"mumble":		777,												# Report a player
	"r":			777,												# Report a player
	"report":		777,												# Report a player (same as !r)
	"rules":		777,												# Shows the serverrules
	"shownext":		777,												# Show the next map
	"version":		777,												# Shows the version of the AD Framework
}
adm_mumble = "C1001We are using Mumble. Please join our channel!"		# This text will be sent to the player issueing !mumble (only to see if the current server uses Mumble, or not)
adm_reasons = {															# Predefined reasons, so you only have to type a keyword as a reason. The script will automatically replace it with the reason you enter below.
																		# Note: only use lowercase in the reason "keys", you can use all cases in the reason itself
	"afk":			"You are AFK",
	"steal":		"Asset stealing is not allowed!",
	"tk":			"Stop teamkilling!",
	"lang":			"Watch your language!",
	"gp":			"Don't destroy the gameplay!",
	"racism":		"Racism is not tolerated on our server!",
	"admin":		"Listen to our admins and follow the rules",
}
adm_rulesEnabled = True
adm_rules = [															# Array in which the rules of the server will be saved. Five rules is the max, the player can't see more than five lines. Remove lines if desired
	"C1001Admins can define rules here 1",
	"C1001Admins can define rules here 2",
	"C1001Admins can define rules here 3",
	"C1001Admins can define rules here 4",
	"C1001Admins can define rules here 5"
]
adm_mapListAll = [														# All available maps. This is NOT the maplist on your server! Don't change anything! DARN IT, don't touch it! :p
	# All default maps
	"albasrah|gpm_coop|inf",
	"albasrah|gpm_coop|std",
	"albasrah|gpm_insurgency|inf",
	"albasrah|gpm_insurgency|alt",
	"albasrah|gpm_insurgency|std",
	"albasrah|gpm_skirmish|inf",
	"asad_khal|gpm_coop|inf",
	"asad_khal|gpm_skirmish|inf",
	"asad_khal|gpm_cq|inf",
	"asad_khal|gpm_cq|alt",
	"asad_khal|gpm_cq|std",
	"battle_for_qinling|gpm_cnc|inf",
	"battle_for_qinling|gpm_cnc|std",
	"battle_for_qinling|gpm_coop|inf",
	"battle_for_qinling|gpm_cq|inf",
	"battle_for_qinling|gpm_cq|alt",
	"battle_for_qinling|gpm_cq|std",
	"battle_for_qinling|gpm_skirmish|inf",
	"battle_for_qinling|gpm_vehicles|std",
	"beirut|gpm_coop|std",
	"beirut|gpm_cq|inf",
	"beirut|gpm_cq|alt",
	"beirut|gpm_cq|std",
	"beirut|gpm_skirmish|inf",
	"burning_sands|gpm_cq|inf",
	"burning_sands|gpm_cq|alt",
	"burning_sands|gpm_cq|std",
	"burning_sands|gpm_skirmish|inf",
	"dragon_fly|gpm_cq|inf",
	"dragon_fly|gpm_cq|std",
	"dragon_fly|gpm_insurgency|inf",
	"dragon_fly|gpm_insurgency|std",
	"dragon_fly|gpm_skirmish|inf",
	"fallujah_west|gpm_coop|std",
	"fallujah_west|gpm_insurgency|inf",
	"fallujah_west|gpm_insurgency|std",
	"fallujah_west|gpm_skirmish|inf",
	"fools_road|gpm_coop|std",
	"fools_road|gpm_cq|inf",
	"fools_road|gpm_cq|std",
	"fools_road|gpm_skirmish|inf",
	"gaza|gpm_coop|inf",
	"gaza|gpm_coop|std",
	"gaza|gpm_cq|inf",
	"gaza|gpm_cq|std",
	"gaza|gpm_insurgency|inf",
	"gaza|gpm_insurgency|std",
	"gaza|gpm_skirmish|inf",
	"iron_eagle|gpm_cq|inf",
	"iron_eagle|gpm_cq|alt",
	"iron_eagle|gpm_cq|std",
	"iron_eagle|gpm_skirmish|inf",
	"iron_ridge|gpm_cq|inf",
	"iron_ridge|gpm_cq|std",
	"iron_ridge|gpm_insurgency|inf",
	"iron_ridge|gpm_insurgency|std",
	"iron_ridge|gpm_skirmish|inf",
	"jabal|gpm_cq|inf",
	"jabal|gpm_cq|std",
	"jabal|gpm_skirmish|inf",
	"karbala|gpm_coop|std",
	"karbala|gpm_insurgency|inf",
	"karbala|gpm_insurgency|std",
	"karbala|gpm_skirmish|inf",
	"kashan_desert|gpm_cnc|inf",
	"kashan_desert|gpm_cnc|alt",
	"kashan_desert|gpm_cnc|std",
	"kashan_desert|gpm_coop|std",
	"kashan_desert|gpm_cq|inf",
	"kashan_desert|gpm_cq|alt",
	"kashan_desert|gpm_cq|std",
	"kashan_desert|gpm_skirmish|inf",
	"kashan_desert|gpm_vehicles|std",
	"kokan|gpm_insurgency|inf",
	"kokan|gpm_insurgency|alt",
	"kokan|gpm_insurgency|std",
	"kokan|gpm_skirmish|inf",
	"kokan|gpm_skirmish|alt",
	"korengal|gpm_cq|std",
	"korengal|gpm_insurgency|inf",
	"korengal|gpm_insurgency|std",
	"korengal|gpm_skirmish|inf",
	"kozelsk|gpm_coop|inf",
	"kozelsk|gpm_cq|inf",
	"kozelsk|gpm_cq|alt",
	"kozelsk|gpm_cq|std",
	"kozelsk|gpm_skirmish|inf",
	"lashkar_valley|gpm_coop|inf",
	"lashkar_valley|gpm_insurgency|inf",
	"lashkar_valley|gpm_insurgency|std",
	"lashkar_valley|gpm_skirmish|inf",
	"muttrah_city_2|gpm_coop|alt",
	"muttrah_city_2|gpm_coop|std",
	"muttrah_city_2|gpm_cq|inf",
	"muttrah_city_2|gpm_cq|std",
	"muttrah_city_2|gpm_skirmish|inf",
	"operation_archer|gpm_coop|inf",
	"operation_archer|gpm_coop|std",
	"operation_archer|gpm_insurgency|inf",
	"operation_archer|gpm_insurgency|alt",
	"operation_archer|gpm_insurgency|std",
	"operation_archer|gpm_skirmish|inf",
	"op_barracuda|gpm_coop|std",
	"op_barracuda|gpm_cq|inf",
	"op_barracuda|gpm_cq|std",
	"op_barracuda|gpm_skirmish|inf",
	"qwai1|gpm_coop|std",
	"qwai1|gpm_cq|inf",
	"qwai1|gpm_cq|std",
	"qwai1|gpm_skirmish|inf",
	"ramiel|gpm_coop|inf",
	"ramiel|gpm_coop|std",
	"ramiel|gpm_insurgency|inf",
	"ramiel|gpm_insurgency|alt",
	"ramiel|gpm_insurgency|std",
	"ramiel|gpm_skirmish|inf",
	"shijiavalley|gpm_cnc|std",
	"shijiavalley|gpm_cq|alt",
	"shijiavalley|gpm_cq|std",
	"shijiavalley|gpm_skirmish|inf",
	"siege_at_ochamchira|gpm_cq|inf",
	"siege_at_ochamchira|gpm_cq|alt",
	"siege_at_ochamchira|gpm_skirmish|inf",
	"silent_eagle|gpm_cnc|inf",
	"silent_eagle|gpm_cnc|std",
	"silent_eagle|gpm_cq|inf",
	"silent_eagle|gpm_cq|alt",
	"silent_eagle|gpm_cq|std",
	"silent_eagle|gpm_skirmish|inf",
	"silent_eagle|gpm_vehicles|std",
	"yamalia|gpm_cnc|inf",
	"yamalia|gpm_cnc|std",
	"yamalia|gpm_cq|inf",
	"yamalia|gpm_cq|alt",
	"yamalia|gpm_cq|std",
	"yamalia|gpm_skirmish|inf",
	"yamalia|gpm_vehicles|std"
	]
