# -*- coding: iso-8859-15 -*-
#
# AD LOGS
#
#
# ******************************************
#    DO NOT MAKE ANY CHANGES TO THIS FILE
# ******************************************
#


import host, bf2, sys, default, new, string, re, time
import ad_framework_settings as adfs
import ad_framework as adf

# File handler
chatlogFile = ""

# Variable that stores the chatlog filename
chatlogFileName = ""


# Initialise the module
def init():

	adf.Debug("Initializing AD Logs")

	host.registerGameStatusHandler(onGameStatusChanged)
	host.registerHandler('ChatMessage', onChatMessage, 1)
	host.registerHandler('PlayerKilled', onPlayerKilled)

	#logFile = open('#python.log', 'w')
	#sys.stdout = logFile
	#sys.stderr = logFile


# When the game starts, do stuff
def onGameStatusChanged(status):
	global chatlogFileName

	if status == bf2.GameStatus.EndGame:
		# Empty filename, so a new file can be created by the next round
		chatlogFileName = ""


# Whenever a chat message is sent on any channel, store it
def onChatMessage(playerID, msgText, channel, flags):
	global chatlogFile, chatlogFileName, log_enabled

	channel = channel.lower()

	# If we're talking about real chat, and logging is enabled...
	if len(msgText) > 0 and channel != "servermessage" and adfs.log_enabled == True:
		try:
			# Make sure the logfile exists
			CreateFile()
		
			# Remove unnecessary stuff that precedes the chat
			msgText = msgText.replace("HUD_TEXT_CHAT_TEAM", "")
			msgText = msgText.replace("HUD_TEXT_CHAT_SQUAD", "")
			msgText = msgText.replace("HUD_TEXT_CHAT_DEADPREFIX", "")
			msgText = msgText.replace("HUD_CHAT_DEADPREFIX", "")

			# Remove the space and/or star that preceed the message in global chat
			if msgText.startswith("*"):
				msgText = msgText.replace("*", "", 1)
			if msgText.startswith(" "):
				msgText = msgText.replace(" ", "", 1)

			# Get the playerobject
			p = bf2.playerManager.getPlayerByIndex(playerID)

			if channel == "team":
				channel = "team " + str(p.getTeam()) + "  "
			elif channel == "squad":
				channel = "squad " + str(p.getSquadId()) + " "
			elif channel == "global":
				channel = "global  "

			# Write the log file
			d = time.strftime("%H:%M")
			chatlogFile = open(chatlogFileName, "a")
			chatlogFile.write("[" + d + " " + channel.upper() + "] " + p.getName() + ": " + msgText + "\n")
			chatlogFile.close()
		except:
			adf.Debug("Exception in onChatMessage()")


# When someone teamkills, log it
def onPlayerKilled(victim, attacker, weapon, assists, object):
	global chatlogFile, chatlogFileName, log_enabled

	adf.Debug("Entered onPlayerKilled()")

	# If logging is enabled...
	if adfs.log_enabled == True:
		try:
			# Check to see if we're dealing with a teamkill
			if not victim or not attacker or victim == attacker or victim.getTeam() != attacker.getTeam():
				return False

			# Make sure the logfile exists
			CreateFile()

			# Write the log file
			d = time.strftime("%H:%M")
			chatlogFile = open(chatlogFileName, "a")
			chatlogFile.write("[" + d + " TEAMKILL] " + attacker.getName() + " TEAMKILLS " + victim.getName() + "\n")
			chatlogFile.close()
		except:
			adf.Debug("Exception in onPlayerKilled()")


# Creates a logfile
def CreateFile():
	global chatlogFile, chatlogFileName, log_enabled

	# If logging is enabled...
	if adfs.log_enabled == True:
		# If the round just started, display a message about it
		if chatlogFileName == "":
			d = time.strftime("%Y%m%d_%H%M")
			chatlogFileName = "admin/ad_framework/logs/chatlog_" + d + ".txt"
			chatlogFile = open(chatlogFileName, "w")
			chatlogFile.write("Map          : " + bf2.gameLogic.getMapName() + "\n")
			chatlogFile.write("Gamemode     : " + bf2.serverSettings.getGameMode() + "\n")
			chatlogFile.write("Team 1       : " + bf2.gameLogic.getTeamName(1) + "\n")
			chatlogFile.write("Team 2       : " + bf2.gameLogic.getTeamName(2) + "\n")
			d = time.strftime("%Y-%m-%d %H:%M:%S")
			chatlogFile.write("ROUND STARTED: " + d + "\n\n")
			chatlogFile.close()
